<template>
    <div class="container" id="login">
        <div class="login-container">
            <h1>Ingreso</h1>
            <!-- <p>Puedes escribir tu nombre, correo y una contraseña que desees</p> -->
            <p>
                Puedes ingresar con el correo user1@gmail.com y la contraseña
                123456
            </p>

            <form action="" @submit.prevent="onSubmit">
                <!-- <div class="row">
                    <label for="">Nombre</label>
                    <input type="text" />
                </div> -->

                <div class="row">
                    <label for="">Correo</label>
                    <input type="text" v-model="form.email" />
                    <div
                        class="text-danger"
                        v-if="errors.email"
                        v-text="errors.email[0]"
                    ></div>
                </div>

                <div class="row">
                    <label for="">Contraseña</label>
                    <input type="password" v-model="form.password" />
                    <div
                        class="text-danger"
                        v-if="errors.password"
                        v-text="errors.password[0]"
                    ></div>
                </div>

                <div class="row">
                    <div class="text-danger" v-if="error" v-text="error"></div>
                    <button type="submit" :disabled="loading">Ingresar</button>
                </div>
            </form>
        </div>
    </div>
</template>

<script>
export default {
    name: "login",
    data() {
        return {
            form: {
                email: null,
                password: null,
            },
            errors: {},
            error: null,
            loading: false,
        };
    },
    methods: {
        async onSubmit() {
            try {
                this.errors = {};
                this.error = null;

                await this.$store.dispatch("auth/login", this.form);
                await this.$router.push({ name: "dashboard" });
            } catch (error) {
                /* console.log("ocurrio un error en login: ->", error);

                console.log(
                    "ocurrio un error en login: -> ",
                    error.response.data
                ); */
                let { response } = error;
                console.log(response.data);
                if (response.data.errors) {
                    this.errors = response.data.errors;
                } else if (response.data.message) {
                    this.errors = {};
                    this.error = response.data.message;
                }
            } finally {
                this.loading = false;
            }
        },
    },
};
</script>
<style lang="scss" scoped>
@import "@/assets/scss/sections/login";
</style>
